Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# drawingarea.h File Reference

A GtkDrawingArea C++ wrapper interface. More...

`#include <inti/gtk/widget.h>`
`#include <gtk/gtkdrawingarea.h>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::Gtk

## Detailed Description

A GtkDrawingArea C++ wrapper interface.

Provides the DrawingArea widget which is used for creating custom user interface elements. It's essentially a blank widget you can draw on. After creating a drawing area, the application may want to connect to mouse and button press signals to respond to input from the user.
Main Page - Footer